$(document).ready(function () {

    var userDefinedModalDigital = new UserDefinedModalDigital("#user-defined-modal-digital", "#user-defined-prev-digital", "#user-defined-next-digital");

    $(userDefinedModalDigital.modal).on('show.bs.modal', function () {

        userDefinedModalDigital.showNavigationButtons();
        $(".user-defined-input").click(function (event) {
            if (!validNumSelected(20)) {
                event.preventDefault();
                return false;
            }
        });

    });

    $(userDefinedModalDigital.nextButton).click(function(){
        var currentPage = $(".current-page-digital");
        $(currentPage).removeClass("current-page-digital").addClass("hidden");
        $(currentPage).next().removeClass("hidden").addClass("current-page-digital");
        userDefinedModalDigital.showNavigationButtons();
    });

    $(userDefinedModalDigital.prevButton).click(function(){
        var currentPage = $(".current-page-digital");
        $(currentPage).removeClass("current-page-digital").addClass("hidden");
        $(currentPage).prev().removeClass("hidden").addClass("current-page-digital");
        userDefinedModalDigital.showNavigationButtons();
    });
});

var UserDefinedModalDigital = function(modal, prevButton, nextButton) {
    this.modal = modal;
    this.prevButton = prevButton;
    this.nextButton = nextButton;

};

UserDefinedModalDigital.prototype.showNavigationButtons = function(){
    var currentModal = this;
    var currentPage = $(currentModal.modal).find(".current-page-digital");

    var nextButton = $(currentModal.modal).find(currentModal.nextButton);
    var prevButton = $(currentModal.modal).find(currentModal.prevButton);

    console.log("CURRENT PAGE .NEXT " + $(currentPage).next());
    console.log("CURRENT PAGE . PREV " + $(currentPage).prev() == null);
    if ($(currentPage).next().length != 0) {
        $(nextButton).removeClass("hidden");
    } else {
        $(nextButton).addClass("hidden");
    }

    if ($(currentPage).prev().length != 0) {
        $(prevButton).removeClass("hidden");
    } else {
        $(prevButton).addClass("hidden");
    }

};


$("#user-defined-clearAll-digital").click(function (event) {
    $('.user-defined-input').removeAttr('checked');
});

function validNumSelected(maxElements) {
    var numselected = $('.user-defined-input[type="checkbox"]:checked').length;
    if (numselected >= maxElements) {

        var errorMessage = $("#user-defined-error");
        
        $(errorMessage).removeClass("hidden");
        setTimeout(function () {
            $(errorMessage).addClass("hidden");
        }, 5000);
        return false;
    }
    return true;

}
