function SystemAlarmNotifier(settings) {
    this.warningAddress = settings.warningAddress;
    this.shutdownAddress = settings.shutdownAddress;
    this.shutdownMessage = settings.shutdownMessage;
    this.warningMessage = settings.warningMessage;
    this.normalMessage = settings.normalMessage;
    this.onWarning = settings.onWarning || this.defaultSysWarning;
    this.onShutdown = settings.onShutdown || this.defaultShutdown;
    this.onOK = settings.onOK || this.defaultOK;
    this.element = settings.element;
    this.wsAddress = settings.wsAddress;
    this.alarmNotifier = new AlarmNotifier(this);
    console.log("Called");
    console.log(this);
}

SystemAlarmNotifier.prototype.defaultShutdown = function () {
    var notifier = this;
    $(notifier.element).removeClass("status-warning status-normal").addClass("status-shutdown");
    $(notifier.element).text(notifier.shutdownMessage);
};

SystemAlarmNotifier.prototype.defaultSysWarning = function () {
    console.log("This was called for some reason");
     var notifier = this;
    $(notifier.element).removeClass("status-shutdown status-normal").addClass("status-warning");
    $(notifier.element).text(notifier.warningMessage);
    
};

SystemAlarmNotifier.prototype.defaultOK = function () {
    var notifier = this;
    $(notifier.element).removeClass("status-shutdown status-warning").addClass("status-normal");
    $(notifier.element).text(notifier.normalMessage);
};

SystemAlarmNotifier.prototype.watchForAlarms = function () {
    console.log("Called Here");
    this.alarmNotifier.watchForAlarms();
};




